<div
	class="proposal-detail-view__header"
	ng-style="{ 'background-color': $ctrl.getStyle()['background-color'] }"
>
	<div class="proposal-detail-view__header-container">
		<button
			class="proposal-detail-view__header-button"
			ng-click="$ctrl.goBack()"
		>
			<zs-icon icon-type="arrow-left"></zs-icon>
		</button>

		<div class="proposal-detail-view__header-title">
			{{$ctrl.getTitle()}}
		</div>

		<zs-spinner
			is-loading="$ctrl.isLoading()"
			class="spinner-tiny"
		></zs-spinner>
	</div>
</div>

<div class="proposal-detail-view__body">
	<proposal-note-bar
		ng-if="$ctrl.isWriteModeEnabled()"
		ng-click="$ctrl.handleNoteClick()"
		data-notes="$ctrl.getNotes()"
		proposal-reference="$ctrl.getProposalReference()"
		proposal-title="$ctrl.getTitle()"
		on-handle-note="$ctrl.handleNoteAction($proposalReference, $noteContent, $noteReference)"
		>
	</proposal-note-bar>

	<proposal-vote-bar
		ng-if="$ctrl.isVotingBarEnabled() && $ctrl.voteBarData()"
		is-voting-possible="$ctrl.isVotingEnabled()"
		proposal-reference="$ctrl.getProposalReference()"
		proposal-vote-config="$ctrl.voteBarConfig()"
		proposal-vote-data="$ctrl.voteBarData()"
		proposal-closed="$ctrl.isCaseClosed()"
		on-vote="$ctrl.handleVote($proposalReference, $voteData)"
	>
	</proposal-vote-bar>

	<ul
		class="proposal-detail-view__list"
		ng-class="{'wide': $ctrl.getViewSize() === 'wide'}"
		ng-style="$ctrl.getNoteStyle()"
	>
		<li
			ng-if="$ctrl.isCaseClosed()"
			class="proposal-detail-view__item--resultmessage"
		>
			<zs-icon icon-type="alert-outline"></zs-icon>
			<span>Dit voorstel is afgehandeld. U kunt geen wijzigingen meer aanbrengen.</span>
		</li>
		<li
			class="proposal-detail-view__item"
			ng-repeat="field in $ctrl.getFields() track by field.id"
		>
			<div class="proposal-detail-view__label">{{field.label}}</div>
			<div
				class="proposal-detail-view__value"
				ng-bind-html="field.template"
			>
			</div>
		</li>
		<li
			ng-if="$ctrl.getAttachments().length"
			class="proposal-detail-view__label"
		>
			Bijlagen
		</li>
		<li
			class="proposal-detail-view__file"
			ng-repeat="file in $ctrl.getAttachments() track by file.reference"
		>
			<a ng-click="$ctrl.previewFile(file, $event)">
				<zs-icon icon-type="file"></zs-icon>
				<div class="proposal-detail-view__value">{{file.instance.name}}</div>
			</a>

			<button ng-click="$ctrl.handleFileClick(file, $event)">
				<zs-icon icon-type="download"></zs-icon>
			</button>
		</li>
		<li
			class="proposal-detail-view__item"
			ng-repeat="field in $ctrl.proposalResults() track by field.id"
		>
			<div class="proposal-detail-view__label">{{field.label}}</div>
			<div
				class="proposal-detail-view__value"
				ng-bind-html="field.template"
			>
			</div>
		</li>
	</ul>
</div>
